# __gnu_parallel::Piece< _DifferenceTp > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _DifferenceTp>
struct __gnu_parallel::Piece< _DifferenceTp >

Subsequence description.

Definition at line 53 of file multiway_mergesort.h.

## Public Types

- typedef _DifferenceTp difference_type

## Public Attributes

- difference_type begin
- difference_type end

## Member Data Documentation

template<typename _DifferenceTp>

difference_type __gnu_parallel::Piece< _DifferenceTp >::begin

Begin of subsequence.

Definition at line 58 of file multiway_mergesort.h.

template<typename _DifferenceTp>

difference_type __gnu_parallel::Piece< _DifferenceTp >::end

End of subsequence.

Definition at line 61 of file multiway_mergesort.h.

The documentation for this struct was generated from the following file:

- multiway_mergesort.h